Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2870,
"created_at": "2020-09-20 02:47:51",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2020-09-20 03:01:10",
"format": 1,
"frequency": "value",
"last_run_at": "2020-09-20 02:51:05",
"name": "value",
"next_run_at": "2020-09-20 02:47:48",
"report_id": 5296,
"start_at": "2020-09-20 02:53:55",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 467,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-10-16",
"end_at": "2026-10-16",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 6025,
"created_at": "2022-05-14 17:33:12",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2022-05-14 17:29:23",
"format": 0,
"frequency": "value",
"last_run_at": "2022-05-14 17:27:48",
"name": "value",
"next_run_at": "2022-05-14 17:27:54",
"report_id": 9471,
"start_at": "2022-05-14 17:38:41",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/21 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9417,
"created_at": "2020-01-25 19:25:02",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2020-01-25 19:23:01",
"format": 0,
"frequency": "value",
"last_run_at": "2020-01-25 19:42:22",
"name": "value",
"next_run_at": "2020-01-25 19:27:42",
"report_id": 4879,
"start_at": "2020-01-25 19:40:50",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/38 HTTP/1.1
Host: l7api.com
{
"report_id": 711,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-10-16",
"end_at": "2026-10-16",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5373,
"created_at": "2024-06-22 06:28:24",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2024-06-22 06:37:58",
"format": 1,
"frequency": "value",
"last_run_at": "2024-06-22 06:29:04",
"name": "value",
"next_run_at": "2024-06-22 06:27:37",
"report_id": 3977,
"start_at": "2024-06-22 06:29:37",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/22 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3037,
"created_at": "2019-07-23 11:16:00",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2019-07-23 11:27:44",
"format": 1,
"frequency": "value",
"last_run_at": "2019-07-23 11:25:35",
"name": "value",
"next_run_at": "2019-07-23 11:22:06",
"report_id": 1403,
"start_at": "2019-07-23 11:24:22",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}